# -*- coding: iso-8859-1 -*-
"""
    MoinMoin - SubpageComments common functionality

    @copyright: 2013 by Paul Boddie <paul@boddie.org.uk>
    @license: GNU GPL (v2 or later), see COPYING.txt for details.
"""

from MoinSupport import getPagesForSearch

def get_comment_numbers(pagename, request):

    """
    Return a list of comment numbers associated with the given 'pagename', using
    the 'request' provided.
    """

    pagenames = []

    for page in getPagesForSearch("title:regex:^%s/" % pagename, request):
        basename, number = page.page_name.rsplit("/", 1)
        if basename == pagename and number.isdigit():
            pagenames.append(int(number))

    pagenames.sort()
    return pagenames

# vim: tabstop=4 expandtab shiftwidth=4
